=== debian/changelog ===
kadu (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/04-globalhotkeys.patch -- no longer needed.
  * Updated debian/patches/03-about-dialog.patch for Kadu 0.10.1
  * Moved FindKadu.cmake from /usr/share/cmake/Modules to
    /usr/share/cmake-2.8/Modules
  * Updated external plugins to their newest upstream versions
  * Build error against dpkg-1.16.1 fixed upstream (Closes: #646278)

 -- Patryk Cisek <patryk@debian.org>  Tue, 25 Oct 2011 17:45:32 +0200

kadu (0.10.0-3) unstable; urgency=low

  * Added globalhotkeys.desc to kadu-external-modules.install

 -- Patryk Cisek <patryk@debian.org>  Mon, 17 Oct 2011 15:28:43 +0200

kadu (0.10.0-2) unstable; urgency=low

  * Moved import_history, messagessplitter, networkping and nextinfo
    plugins from kadu to kadu-external-modules
  * Added globalhotkeys plugin
  * Moved idle and auto_hide plugin files in appropriate packages
  * Refreshed information in debian/copyright

 -- Patryk Cisek <patryk@debian.org>  Sun, 16 Oct 2011 12:05:59 +0200

kadu (0.10.0-1) unstable; urgency=low

  * New upstream release
  * Added libsqlite3-dev to Build-Depends
  * Added kadu-dev package
  * Removed libjs-mootools from kadu-common Depends and libao-dev from
    Build-Depends
  * Got rid of kadu.install.(no)alsa -- no alsa_sound plugin anymore
  * Updated external plugins to their newest upstream versions

 -- Patryk Cisek <patryk@debian.org>  Fri, 23 Sep 2011 17:31:22 +0200
