=== debian/changelog ===
kadu (0.11.0~rc2-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/04-backport_patch-
    only_send_jabber_status_to_server_when_connecting.patch included
    upstream.

 -- Patryk Cisek <patryk@debian.org>  Thu, 19 Jan 2012 16:45:02 +0100

kadu (0.11.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Updated all external plugins to their newest upstream versions
  * Updated debian/patches/02-external-plugins.patch
  * Added indicator_docking plugin
  * Backported fix for Kadu patch from git. It fixes problem with
    reconnecting after suspend.
  * Updated debian/patches/02-external-plugins.patch
  * Lowered minimum expected version of libgadu. See description in
    debian/patches/05-lowered_expectant_libgadu_version.patch for more
    details.
  * Added libindicate-qt-dev to Build-Depends

 -- Patryk Cisek <patryk@debian.org>  Mon, 16 Jan 2012 10:08:06 +0100
