=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libdbus-1-dev,
                libgadu-dev,
                libidn11-dev,
+               libindicate-qt-dev,
                libmpdclient-dev,
                libphonon-dev,
                libqca2-dev,
