=== debian/changelog ===
kadu (0.11.1-2) unstable; urgency=low

  * Fixed serious mistake in changelog entry for 0.11.1-1:
    This upstream versions contains important security issues... ->
    This upstream versions contains fixes of important security issues

 -- Patryk Cisek <patryk@debian.org>  Tue, 28 Feb 2012 08:15:00 +0100

kadu (0.11.1-1) unstable; urgency=high

  * New upstream release
  * This upstream versions contains fixes of important security issues
    introduced in version 0.9.0.
  * Bumped Standards-Version to 3.9.3
  * Added kadu_completion plugin to kadu-external-modules
  * TLS negotiation problem solved upstream (Closes: #634037)
  * Wide description window problem solved upstream (Closes: #592931)

 -- Patryk Cisek <patryk@debian.org>  Mon, 27 Feb 2012 10:33:53 +0100

kadu (0.11.0-2) unstable; urgency=low

  * Added aspell package to Build-Depends
  * 0-e

 -- Patryk Cisek <patryk@debian.org>  Sun, 26 Feb 2012 19:54:09 +0100

kadu (0.11.0-1) unstable; urgency=low

  * New upstream release
  * Updated messagessplitter to newest upstream version

 -- Patryk Cisek <patryk@debian.org>  Sat, 04 Feb 2012 14:37:35 +0100

kadu (0.11.0~rc3-1) unstable; urgency=low

  * New upstream release
  * Renamed 05-lowered_expectant_libgadu_version.patch to 04-
    lowered_expectant_libgadu_version.patch

 -- Patryk Cisek <patryk@debian.org>  Thu, 02 Feb 2012 16:52:30 +0100
