=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Patryk Cisek <patryk@debian.org>
 Vcs-Git: git://git.debian.org/users/patryk/kadu.git
 Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
-Build-Depends: bzip2,
+Build-Depends: aspell,
+               bzip2,
                cmake (>=2.6),
                debhelper (>= 7),
                libasound2-dev,
@@ -28,7 +29,7 @@
                sharutils,
                x11proto-scrnsaver-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kadu.net
 
 Package: kadu
